=== debian/control ===
Source: xdg-desktop-portal
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bubblewrap,
 dbus-daemon,
 debhelper-compat (= 13),
 geoclue-2.0 <!nocheck>,
 gstreamer1.0-plugins-good,
 gstreamer1.0-tools,
 fuse3 <!nocheck>,
 libcap2-bin <!nocheck>,
 libgdk-pixbuf-2.0-dev,
 libgeoclue-2-dev,
 libflatpak-dev,
 libfuse3-dev,
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgudev-1.0-dev,
 libjson-glib-dev,
 libpipewire-0.3-dev,
 librsvg2-common <!nocheck>,
 libsystemd-dev,
 libumockdev-dev <!nocheck>,
 meson,
 pipewire <!nocheck>,
 procps <!nocheck>,
 python3 <!nocheck>,
 python3-dbus <!nocheck>,
 python3-dbusmock <!nocheck>,
 python3-docutils <!nodoc>,
 python3-gi <!nocheck>,
 python3-pytest <!nocheck>,
 umockdev <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://flatpak.github.io/xdg-desktop-portal/
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

Package: xdg-desktop-portal
Architecture: linux-any
Multi-Arch: foreign
Depends:
 bubblewrap,
 default-dbus-session-bus | dbus-session-bus,
 fuse3,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 librsvg2-common,
Description: desktop integration portal for Flatpak and Snap
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features.
 .
 The implementation of these interfaces is expected to require
 user confirmation before responding to the sandboxed application's
 requests. For example, when the sandboxed application ask to open a file,
 the portal implementation will open an "Open" dialog outside the sandbox,
 and will only make the selected file available to the sandboxed app if
 that dialog is confirmed.
 .
 xdg-desktop-portal is designed to be desktop-agnostic, and uses a
 desktop-environment-specific GUI backend such as xdg-desktop-portal-gtk
 to provide its functionality.

Package: xdg-desktop-portal-dev
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Recommends:
 fonts-inter-variable,
Description: desktop integration portal - development files
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains development files for backends such as
 xdg-desktop-portal-gtk.

Package: xdg-desktop-portal-tests
Architecture: any
Depends:
 dbus-daemon,
 geoclue-2.0,
 gir1.2-umockdev-1.0,
 libcap2-bin,
 librsvg2-common,
 pipewire,
 procps,
 python3,
 python3-dbusmock,
 python3-gi,
 python3-pytest,
 umockdev,
 xdg-desktop-portal,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal - automated tests
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains automated tests.
