## xdg-desktop-portal 1.20.3%2Bds

=== debian/tests/control ===
Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 gnome-desktop-testing,
 xdg-desktop-portal-tests,
