## xdg-desktop-portal 1.20.3+ds

=== debian/changelog ===
xdg-desktop-portal (1.20.3+ds-2) unstable; urgency=medium

  * d/watch: Convert to v5 format
    - Add Lintian override for #1125489
  * d/gbp.conf, d/watch: Only watch for stable (even-numbered) releases
  * d/watch.devel: Add alternative uscan watch file for development
    (odd-numbered) releases
  * d/control: Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/control: Standards-Version: 4.7.3
    - Remove Priority: optional, not required since Debian 13

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 14:47:56 +0000

xdg-desktop-portal (1.20.3+ds-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a crash when a Flatpak app does not export a .desktop file
      with the same name as its app-ID (Closes: #1106091)
    - Allow Flatpak and Snap apps to use portal APIs even if they do not
      have a .desktop file matching the app-ID
    - Fix file descriptors being closed too soon, resulting in log noise

 -- Simon McVittie <smcv@debian.org>  Wed, 21 May 2025 11:05:04 +0100

xdg-desktop-portal (1.20.1+ds-2) unstable; urgency=medium

  * Release to unstable (Closes: #1105889)

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 17:21:45 +0100

xdg-desktop-portal (1.20.1+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix installation of dynamic launcher .desktop files, for example
      for browsers in webapp mode (Closes: #1105889)
    - Load portal backends from XDG_DATA_HOME and all XDG_DATA_DIRS,
      allowing use of locally-installed (unpackaged) backends
    - Re-order bubblewrap arguments for icon/sound validators to avoid
      mounting a tmpfs that hides the working directory if run from /tmp,
      for example during testing
    - Fix thread-safety in the host app registration portal by doing
      everything from the main thread
    - Input capture moves from ACTIVE to ENABLED state when deactivated,
      instead of staying ACTIVE
    - Improve log messages for the realtime interface
    - Stop the D-Bus services before the D-Bus session bus stops,
      avoiding spurious warnings in the system log
    - Refactor initialization of app info to reduce duplication and
      ensure that file descriptors are marked close-on-exec
    - Log a warning if the documents portal mount point cannot be found
    - Highlight xdg-desktop-portal errors if outputting to a terminal
    - Send xdg-desktop-portal log messages to stderr, not stdout
    - Translation updates: bg, ca
    - Documentation updates
  * d/copyright: Use GNU web address instead of FSF's former postal address
  * d/copyright: Be clearer about the Library vs. Lesser General Public
    License
  * d/copyright: Record that some files are GPL-2+
  * d/xdg-desktop-portal-tests.lintian-overrides:
    Add an override for a false positive in the tests
  * Release to experimental for wider testing during the Debian 13 freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 13:47:10 +0100
