=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xdg-desktop-portal
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
@@ -24,16 +23,16 @@
  libpipewire-0.3-dev,
  librsvg2-common <!nocheck>,
  libsystemd-dev,
- libumockdev-dev <!nocheck>,
+ libumockdev-dev <!nocheck> <!noinsttest>,
  meson,
  pipewire <!nocheck>,
  procps <!nocheck>,
- python3 <!nocheck>,
- python3-dbus <!nocheck>,
- python3-dbusmock <!nocheck>,
+ python3 <!nocheck> <!noinsttest>,
+ python3-dbus <!nocheck> <!noinsttest>,
+ python3-dbusmock <!nocheck> <!noinsttest>,
  python3-docutils <!nodoc>,
- python3-gi <!nocheck>,
- python3-pytest <!nocheck>,
+ python3-gi <!nocheck> <!noinsttest>,
+ python3-pytest <!nocheck> <!noinsttest>,
  umockdev <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -41,8 +40,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://flatpak.github.io/xdg-desktop-portal/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
@@ -101,6 +99,7 @@
  xdg-desktop-portal-gtk.
 
 Package: xdg-desktop-portal-tests
+Build-Profiles: <!noinsttest>
 Architecture: any
 Depends:
  dbus-daemon,
