## xdg-desktop-portal 1.21.0+ds

=== debian/changelog ===
xdg-desktop-portal (1.21.0+ds-1ubuntu3) resolute; urgency=medium

  * d/p: Fix tests with the gdk-pixbuf/glycin transition

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 11:01:01 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu2) resolute; urgency=medium

  * d/p: Add patches from debian accidentally dropped during merge
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 17:07:44 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Temporarily disable the webextension build test
      + debian/patches/Disable-webextension-test.patch
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Drop patches applied upstream
  * d/p: Rebase webextensions patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 16:31:22 +0100

xdg-desktop-portal (1.21.0+ds-1) experimental; urgency=medium

  * New upstream development prerelease
  * d/control, d/gbp.conf: Branch for experimental
  * Revert "d/gbp.conf, d/watch: Only watch for stable (even-numbered)
    releases"
  * d/copyright: Update
  * d/p/tests-Skip-tests-that-need-the-documents-portal-if-FUSE-d.patch:
    Add proposed patch to skip tests needing FUSE on buildds
  * d/p/tests-Don-t-include-interpreter-in-non-executable-library.patch:
    Add patch to avoid a warning from Lintian

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 22:00:08 +0000

xdg-desktop-portal (1.20.3+ds-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:53:11 +0100

xdg-desktop-portal (1.20.3+ds-1ubuntu1) questing; urgency=medium

  * Merge with debian (LP: #2120301). Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Backport patches to fix setting realtime mode (LP#2107340):
      + debian/patches/differentiate_pidfd_proc.patch
      + debian/patches/get_pidns_from_pidfd.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Add proposed patch to skip broken test in sbuild
    - tests-Skip-test_trash_file_fails-if-we-couldn-t-get-a-fd.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Aug 2025 14:01:01 +0200

xdg-desktop-portal (1.20.0+ds-2ubuntu3) questing; urgency=medium

  * Backport patches from Sebastian Wick to get pidns's from pidfd's.
    - differentiate_pidfd_proc.patch
      + utils: Differentiate between pidfd and /proc/$pid dirfds
      + Upstream SHA: dd08d451e3019f4ec6285ecb14d4c746b6e1d420
      + Refactoring commit required for the next patch that actually fixes the
        problem to cleanly apply.
    - get_pidns_from_pidfd.patch
      + utils: Add new function to get the pidns from an actual pidfd
      + Upstream SHA: 522236e41043a558a825da4cee70ee31ce607147
      + Fixes failures when calling XdpAppInfo.get_pidns with a pidfd rather
        than a dirfd.
      + Fixes (LP: #2107340)

 -- Charles <charles05@canonical.com>  Tue, 08 Jul 2025 10:22:12 +0100

xdg-desktop-portal (1.20.0+ds-2ubuntu2) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 11:08:41 -0400
