=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: xdg-desktop-portal
 Section: admin
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -42,8 +43,10 @@
  python3-sphinxext-opengraph <!nodoc>,
 Standards-Version: 4.7.3
 Homepage: https://flatpak.github.io/xdg-desktop-portal/
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/latest
 
 Package: xdg-desktop-portal
 Architecture: linux-any
@@ -85,8 +88,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ${sphinxdoc:Depends},
-Recommends:
- fonts-inter-variable,
 Description: desktop integration portal - development files
  xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
  and possibly other desktop containment/sandboxing frameworks. This service
